Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.spatial.util
Class ShapefileReaderJGeom

`java.lang.Object
oracle.spatial.util.ShapefileReaderJGeom`

public class ShapefileReaderJGeom
extends java.lang.Object

Field Summary
`static int` | `AV_MULTIPOINT`
`static int` | `AV_MULTIPOINTM`
`static int` | `AV_MULTIPOINTZ`
`static int` | `AV_NULL`
`static int` | `AV_POINT`
`static int` | `AV_POINTM`
`static int` | `AV_POINTZ`
`static int` | `AV_POLYGON`
`static int` | `AV_POLYGONM`
`static int` | `AV_POLYGONZ`
`static int` | `AV_POLYLINE`
`static int` | `AV_POLYLINEM`
`static int` | `AV_POLYLINEZ`
`protected int` | `bufferLen`
`protected int` | `cnt`
`protected oracle.spatial.util.ShapefileHdr` | `idxFileHdr`
`protected java.io.RandomAccessFile` | `idxFIS`
`protected static OracleConnection` | `m_conn`
`protected oracle.spatial.util.ShapefileHdr` | `mainFileHdr`
`protected java.io.RandomAccessFile` | `mainFIS`
`protected double` | `measureMax`
`protected double` | `measureMin`
`protected java.lang.String` | `namePrefix`
`protected int` | `nRecords`
`protected double[]` | `partBuffer`
`protected int` | `partBufferLen`
`protected byte[]` | `recBuffer`
`protected int` | `type`
`protected double` | `zMax`
`protected double` | `zMin`

Constructor Summary
`ShapefileReaderJGeom(java.lang.String name)` construct an object out of the specified shapefile name.

Method Summary
`void` | `closeShapefile()` close this shapefile.
`static JGeometry` | `getGeometry(byte[] recBuffer, int srid)`
`protected static JGeometry` | `getGeometry(byte[] recBuffer, int type, int off, int srid)`
`byte[]` | `getGeometryBytes(int nth)` retrieve nth shape record and return it as a byte array.
`double` | `getMaxMeasure()` return the maximum Measure value in file.
`double` | `getMaxZ()` return the maximum Z value in file.
`double` | `getMinMeasure()` return the minimum Measure value in file.
`double` | `getMinZ()` return the minimum Z value in file.
`static int` | `getShpDims(int type, double maxM)`
`int` | `getShpFileType()` return the Shape Type in the file.
`protected long` | `idxRecordOffset(int nth)` make an double out of the byte array starting at offset 'off'.
`protected boolean` | `mainRecordOffset(int nth, oracle.spatial.util.IndexRecord idxRec)`
`protected static double` | `makeDoubleBigEndian(byte[] b, int off)`
`protected static double` | `makeDoubleLittleEndian(byte[] b, int off)`
`protected static int` | `makeIntBigEndian(byte[] b, int off)`
`protected static int` | `makeIntLittleEndian(byte[] b, int off)`
`protected static JGeometry` | `makeMPoint(byte[] b, int off, int srid)`
`protected static JGeometry` | `makeMPointZ(byte[] b, int off, int srid)`
`protected static JGeometry` | `makePoint(byte[] b, int off, int srid)`
`protected static JGeometry` | `makePointM(byte[] b, int off, int srid)`
`protected static JGeometry` | `makePointZ(byte[] b, int off, int srid)`
`protected static JGeometry` | `makePoly(byte[] b, int type, int off, int srid)`
`protected static JGeometry` | `makePolyM(byte[] b, int type, int off, int srid)`
`protected static JGeometry` | `makePolyZ(byte[] b, int type, int off, int srid)`
`protected static JGeometry` | `makePolyZM(byte[] b, int type, int off, int srid, int[] parts, int numParts, int numPoints, int zArrayOff, int mMaxOff)`
`int` | `numRecords()` return the number of shape records in the file.
`protected void` | `openShapefile(java.lang.String name)` open a shapefile with the given name.
`static void` | `setOracleConnection(OracleConnection _conn)`
`static double` | `signedArea2(JGeometry g)`
`static void` | `swapBytes(byte[] buf, int offset, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_conn

    protected static OracleConnection m_conn

### AV_NULL

    public static final int AV_NULL

  See Also:
    Constant Field Values

### AV_POINT

    public static final int AV_POINT

  See Also:
    Constant Field Values

### AV_POLYLINE

    public static final int AV_POLYLINE

  See Also:
    Constant Field Values

### AV_POLYGON

    public static final int AV_POLYGON

  See Also:
    Constant Field Values

### AV_MULTIPOINT

    public static final int AV_MULTIPOINT

  See Also:
    Constant Field Values

### AV_POINTZ

    public static final int AV_POINTZ

  See Also:
    Constant Field Values

### AV_POLYLINEZ

    public static final int AV_POLYLINEZ

  See Also:
    Constant Field Values

### AV_POLYGONZ

    public static final int AV_POLYGONZ

  See Also:
    Constant Field Values

### AV_MULTIPOINTZ

    public static final int AV_MULTIPOINTZ

  See Also:
    Constant Field Values

### AV_POINTM

    public static final int AV_POINTM

  See Also:
    Constant Field Values

### AV_POLYLINEM

    public static final int AV_POLYLINEM

  See Also:
    Constant Field Values

### AV_POLYGONM

    public static final int AV_POLYGONM

  See Also:
    Constant Field Values

### AV_MULTIPOINTM

    public static final int AV_MULTIPOINTM

  See Also:
    Constant Field Values

### nRecords

    protected int nRecords

### type

    protected int type

### zMax

    protected double zMax

### zMin

    protected double zMin

### measureMax

    protected double measureMax

### measureMin

    protected double measureMin

### recBuffer

    protected byte[] recBuffer

### partBuffer

    protected double[] partBuffer

### bufferLen

    protected int bufferLen

### partBufferLen

    protected int partBufferLen

### cnt

    protected int cnt

### namePrefix

    protected java.lang.String namePrefix

### mainFileHdr

    protected oracle.spatial.util.ShapefileHdr mainFileHdr

### idxFileHdr

    protected oracle.spatial.util.ShapefileHdr idxFileHdr

### mainFIS

    protected java.io.RandomAccessFile mainFIS

### idxFIS

    protected java.io.RandomAccessFile idxFIS

Constructor Detail

### ShapefileReaderJGeom

    public ShapefileReaderJGeom(java.lang.String name)
                         throws java.io.IOException

  construct an object out of the specified shapefile name.

Method Detail

### getShpDims

    public static int getShpDims(int type,
                                 double maxM)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setOracleConnection

    public static void setOracleConnection(OracleConnection _conn)

### getGeometry

    public static JGeometry getGeometry(byte[] recBuffer,
                                        int srid)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getGeometry

    protected static JGeometry getGeometry(byte[] recBuffer,
                                           int type,
                                           int off,
                                           int srid)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### makePoint

    protected static JGeometry makePoint(byte[] b,
                                         int off,
                                         int srid)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### makePointZ

    protected static JGeometry makePointZ(byte[] b,
                                          int off,
                                          int srid)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### makePointM

    protected static JGeometry makePointM(byte[] b,
                                          int off,
                                          int srid)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### makeMPoint

    protected static JGeometry makeMPoint(byte[] b,
                                          int off,
                                          int srid)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### makeMPointZ

    protected static JGeometry makeMPointZ(byte[] b,
                                           int off,
                                           int srid)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### signedArea2

    public static double signedArea2(JGeometry g)

### makePoly

    protected static JGeometry makePoly(byte[] b,
                                        int type,
                                        int off,
                                        int srid)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### makePolyZ

    protected static JGeometry makePolyZ(byte[] b,
                                         int type,
                                         int off,
                                         int srid)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### makePolyZM

    protected static JGeometry makePolyZM(byte[] b,
                                          int type,
                                          int off,
                                          int srid,
                                          int[] parts,
                                          int numParts,
                                          int numPoints,
                                          int zArrayOff,
                                          int mMaxOff)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### makePolyM

    protected static JGeometry makePolyM(byte[] b,
                                         int type,
                                         int off,
                                         int srid)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### swapBytes

    public static void swapBytes(byte[] buf,
                                 int offset,
                                 int len)

### makeIntBigEndian

    protected static int makeIntBigEndian(byte[] b,
                                          int off)

### makeIntLittleEndian

    protected static int makeIntLittleEndian(byte[] b,
                                             int off)

### makeDoubleBigEndian

    protected static double makeDoubleBigEndian(byte[] b,
                                                int off)

### makeDoubleLittleEndian

    protected static double makeDoubleLittleEndian(byte[] b,
                                                   int off)

### openShapefile

    protected void openShapefile(java.lang.String name)
                          throws java.io.IOException

  open a shapefile with the given name. ready to fetch individual shape records upon success return.
  Throws:
    `java.io.IOException`

### closeShapefile

    public void closeShapefile()
                        throws java.io.IOException

  close this shapefile.
  Throws:
    `java.io.IOException`

### getGeometryBytes

    public byte[] getGeometryBytes(int nth)
                            throws java.io.IOException

  retrieve nth shape record and return it as a byte array.
  Throws:
    `java.io.IOException`

### idxRecordOffset

    protected long idxRecordOffset(int nth)

  make an double out of the byte array starting at offset 'off'. Assumming the bytes are laid out in big-endian order.

### mainRecordOffset

    protected boolean mainRecordOffset(int nth,
                                       oracle.spatial.util.IndexRecord idxRec)

### numRecords

    public int numRecords()

  return the number of shape records in the file.

### getShpFileType

    public int getShpFileType()

  return the Shape Type in the file.

### getMaxMeasure

    public double getMaxMeasure()

  return the maximum Measure value in file.

### getMinMeasure

    public double getMinMeasure()

  return the minimum Measure value in file.

### getMaxZ

    public double getMaxZ()

  return the maximum Z value in file.

### getMinZ

    public double getMinZ()

  return the minimum Z value in file.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All Rights Reserved.